Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.datamodel
Interface GenomicAlign

All Superinterfaces:
  Persistent, java.io.Serializable

public interface GenomicAlign
extends Persistent

I am part of the compara-analysis. I keep information about DnaDna alignments between species.

Method Summary
`java.lang.String` | `getAlignedSequence()`
`java.lang.String` | `getCigarString()`
`java.lang.String` | `getDisplayID()`
`DnaFragment` | `getDnaFragment()`
`long` | `getDnaFragmentId()`
`int` | `getEnd()`
`GenomicAlignBlock` | `getGenomicAlignBlock()`
`long` | `getGenomicAlignBlockInternalID()`
`MethodLinkSpeciesSet` | `getMethodLinkSpeciesSet()`
`long` | `getMethodLinkSpeciesSetInternalId()`
`java.lang.String` | `getOriginalSequence()`
`int` | `getStart()`
`int` | `getStrand()`
`void` | `reverseComplement()`
`void` | `setAlignedSequence(java.lang.String sequence)`
`void` | `setCigarString(java.lang.String cigarString)`
`void` | `setDnaFragment(DnaFragment dnaFrag)`
`void` | `setDnaFragmentId(long dnaFrag)`
`void` | `setEnd(int newValue)`
`void` | `setGenomicAlignBlock(GenomicAlignBlock block)`
`void` | `setGenomicAlignBlockInternalID(long block)`
`void` | `setMethodLinkSpeciesSet(MethodLinkSpeciesSet newValue)`
`void` | `setMethodLinkSpeciesSetInternalId(long newValue)`
`void` | `setOriginalSequence(java.lang.String sequence)`
`void` | `setStart(int newValue)`
`void` | `setStrand(int strand)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getCigarString

    public java.lang.String getCigarString()

### setCigarString

    public void setCigarString(java.lang.String cigarString)

### getMethodLinkSpeciesSet

    public MethodLinkSpeciesSet getMethodLinkSpeciesSet()

### getMethodLinkSpeciesSetInternalId

    public long getMethodLinkSpeciesSetInternalId()

### setMethodLinkSpeciesSet

    public void setMethodLinkSpeciesSet(MethodLinkSpeciesSet newValue)

### setMethodLinkSpeciesSetInternalId

    public void setMethodLinkSpeciesSetInternalId(long newValue)

### getStrand

    public int getStrand()

### setStrand

    public void setStrand(int strand)

### getDnaFragment

    public DnaFragment getDnaFragment()

### setDnaFragment

    public void setDnaFragment(DnaFragment dnaFrag)

### getDnaFragmentId

    public long getDnaFragmentId()

### setDnaFragmentId

    public void setDnaFragmentId(long dnaFrag)

### getStart

    public int getStart()

### setStart

    public void setStart(int newValue)

### getEnd

    public int getEnd()

### setEnd

    public void setEnd(int newValue)

### getAlignedSequence

    public java.lang.String getAlignedSequence()

### setAlignedSequence

    public void setAlignedSequence(java.lang.String sequence)

### getOriginalSequence

    public java.lang.String getOriginalSequence()

### setOriginalSequence

    public void setOriginalSequence(java.lang.String sequence)

### getDisplayID

    public java.lang.String getDisplayID()

### getGenomicAlignBlock

    public GenomicAlignBlock getGenomicAlignBlock()

### setGenomicAlignBlock

    public void setGenomicAlignBlock(GenomicAlignBlock block)

### getGenomicAlignBlockInternalID

    public long getGenomicAlignBlockInternalID()

### setGenomicAlignBlockInternalID

    public void setGenomicAlignBlockInternalID(long block)

### reverseComplement

    public void reverseComplement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD